subroutine dpseuclid (K_N,YD_X,YD_Y,P_SP)

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE PARKIND2  ,ONLY : JPRH

use CONTROL_VECTORS

IMPLICIT NONE
INTEGER(KIND=JPIM)               :: K_N ! Argument NOT used
TYPE(CONTROL_VECTOR),INTENT(IN)    :: YD_X 
TYPE(CONTROL_VECTOR),INTENT(IN)    :: YD_Y 
REAL(KIND=JPRH)   ,INTENT(OUT)   :: P_SP 
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('DPSEUCLID',0,ZHOOK_HANDLE)
P_SP = dot_product (YD_X,YD_Y)

IF (LHOOK) CALL DR_HOOK('DPSEUCLID',1,ZHOOK_HANDLE)
end subroutine dpseuclid
